package cn.com.victorysoft.business.technology.dao;

import cn.com.victorysoft.business.technology.entity.TechJobFee;
import cn.com.victorysoft.business.technology.entity.TechJobFeeKey;
import cn.com.victorysoft.business.technology.param.TechJobFeeParam;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface TechJobFeeDao {
    int deleteByPrimaryKey(TechJobFeeKey key);

    int insert(TechJobFee record);

    int insertSelective(TechJobFee record);

    TechJobFee selectByPrimaryKey(TechJobFeeKey key);

    int updateByPrimaryKeySelective(TechJobFee record);

    int updateByPrimaryKey(TechJobFee record);

    List<TechJobFee> selectList(TechJobFeeParam param);

    List<TechJobFee> selectdwList();

    List<TechJobFee> selectdyList();

    List<TechJobFee> selectjhList();

    List<TechJobFee> selectsglbList();

    List<TechJobFee> selectsgmdList();

    TechJobFee sumList(TechJobFeeParam param);

}